Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class XSLTUtils

    java.lang.Object
      org.apache.axis2.util.XSLTUtils

    public class XSLTUtils

extends java.lang.Object

Constructor Summary
`XSLTUtils()`

Method Summary
`static void` | `addAttribute(org.w3c.dom.Document document, java.lang.String AttribName, java.lang.String attribValue, org.w3c.dom.Element element)` Utility method to add an attribute to a given element
`static org.w3c.dom.Element` | `addChildElement(org.w3c.dom.Document document, java.lang.String elementName, org.w3c.dom.Node parentNode)` Utility method to add an attribute to a given element
`static org.w3c.dom.Document` | `getDocument()`
`static org.w3c.dom.Element` | `getElement(org.w3c.dom.Document document, java.lang.String elementName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTUtils

    public XSLTUtils()

Method Detail

### getDocument

    public static org.w3c.dom.Document getDocument()
                                            throws javax.xml.parsers.ParserConfigurationException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`

### addAttribute

    public static void addAttribute(org.w3c.dom.Document document,
                                    java.lang.String AttribName,
                                    java.lang.String attribValue,
                                    org.w3c.dom.Element element)

  Utility method to add an attribute to a given element

  Parameters:
    `document` -
    `AttribName` -
    `attribValue` -
    `element` -

### getElement

    public static org.w3c.dom.Element getElement(org.w3c.dom.Document document,
                                                 java.lang.String elementName)

### addChildElement

    public static org.w3c.dom.Element addChildElement(org.w3c.dom.Document document,
                                                      java.lang.String elementName,
                                                      org.w3c.dom.Node parentNode)

  Utility method to add an attribute to a given element

  Parameters:
    `document` -
    `elementName` -
    `parentNode` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.